Last Comment Bug 652473 - PlacesUIUtils deprecation messages need to lay off the whitespace
: PlacesUIUtils deprecation messages need to lay off the whitespace
Status: VERIFIED FIXED
[fixed-in-places]
:
Product: Firefox
Classification: Client Software
Component: Bookmarks & History (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 6
Assigned To: Phil Ringnalda (:philor)
:
: Marco Bonardo [::mak]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-24 16:47 PDT by Phil Ringnalda (:philor)
Modified: 2011-05-05 05:48 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix (2.70 KB, patch)
2011-04-24 16:47 PDT, Phil Ringnalda (:philor)
mak77: review+
Details | Diff | Splinter Review

Description Phil Ringnalda (:philor) 2011-04-24 16:47:11 PDT
Created attachment 528038 [details] [diff] [review]
fix

STR:
1. Load http://blog.mozilla.com/feed/
2. Open the error console
3. Change back from whatever you actually use to "Subscribe to this feed using Live Bookmarks"
4. Click Subscribe Now and watch the error console

Expected results:
(Well, besides not getting deprecation messages about our own UI.) Messages with one space between words.

Actual results:

[[[
Error: showMinimalAddLivemarkURI is deprecated and will be removed in a                    future release.  Use showBookmarkDialog instead
]]]

[[[
Error: The api has changed. A window should be                                     passed to PUIU_showBookmarkDialog.  Not                                     passing a window will throw in a future                                     release.
]]]

with 20 or so spaces between what look to someone who hasn't looked at the wrapping in the source like random words.
Comment 1 Marco Bonardo [::mak] 2011-04-26 03:28:30 PDT
> (Well, besides not getting deprecation messages about our own UI.) Messages
> with one space between words.

this is bug 629371, it's an easy bug to fix.

> with 20 or so spaces between what look to someone who hasn't looked at the
> wrapping in the source like random words.

Yes, I noticed this but never found the time to fix it, so thank you for the patch!
Comment 2 Marco Bonardo [::mak] 2011-04-26 03:29:44 PDT
Comment on attachment 528038 [details] [diff] [review]
fix

Review of attachment 528038 [details] [diff] [review]:

r=me
Comment 3 Marco Bonardo [::mak] 2011-04-29 09:54:38 PDT
http://hg.mozilla.org/projects/places/rev/4c616579cdfa
Comment 4 Marco Bonardo [::mak] 2011-05-02 04:36:08 PDT
http://hg.mozilla.org/mozilla-central/rev/4c616579cdfa
Comment 5 Vlad [QA] 2011-05-05 05:48:49 PDT
Verified Fixed on Mozilla/5.0 (Windows NT 6.1; rv:6.0a1) Gecko/20110504 Firefox/6.0a1

Note You need to log in before you can comment on or make changes to this bug.